Bug 5704 - wrong chartable autodetect
: wrong chartable autodetect
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kdebase-konqueror)
: unstable
: all Linux
: P2 normal
Assigned To:
:
: http://faq.altlinux.ru
:
:
:
  Show dependency tree
 
Reported: 2004-12-15 07:46 by
Modified: 2007-06-27 22:26 (History)


Attachments
не воспроизводится (145.28 KB, image/jpeg)
2007-05-23 10:38, Andriy Stepanov
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-12-15 07:46:13
в konqueror, если стоит автодетект-русский, то при заходе на
httpS://faq.altlinux.ru кодировка автодетектится неверно (ставится 1251).
на http:// - верно. в mozilla, firefox - нормально в обоих случаях.
------- Comment #1 From 2004-12-15 11:13:29 -------
А сервер отдает в той кодировке, которую запрашивает браузер? 
------- Comment #2 From 2004-12-15 12:00:16 -------
(In reply to comment #1)
> А сервер отдает в той кодировке, которую запрашивает браузер? 

В браузере выставлен autodetect -- соответственно, браузер не запрашивает ничего.
------- Comment #3 From 2004-12-15 12:42:10 -------
Он запрашивает необходимую кодировку у сервера. Autodetect к этому никакого 
отношения не имеет. 
------- Comment #4 From 2004-12-15 15:40:28 -------
похоже виноват все-таки Kоnqueror 
------- Comment #5 From 2004-12-15 15:47:47 -------
Но это не означает, что сайт отдает контент в правильной кодировке 
------- Comment #6 From 2005-02-16 18:10:10 -------
Возьмём сайт http://www.nalog.ru/index.php?topic=mnsrus 
 
1. Сервер (Apache) не сообщает, в какой кодировке отдаёт файл. 
2. На странице Content-Type прописан, и кодировка windows-1251 указана. 
Тем не менее кракозябры - konqueror воспринимает текст как будто он в 
кодировке локали (koi8-r у меня). 
------- Comment #7 From 2006-01-02 18:54:37 -------
Осталось и на kdebase-konqueror-3.5.0-alt1 
faq.altlinux.ru толком не открывается. 
 
(Моё замечание про nalog.ru не актуально) 
 
------- Comment #8 From 2007-05-23 10:38:26 -------
Created an attachment (id=1988) [details]
не воспроизводится

$rpm -q kdebase-konqueror
kdebase-konqueror-3.5.6-alt9

Нормально открывается.

Думаю можно закрыть.
------- Comment #9 From 2007-05-23 14:49:55 -------
если вы видите, что приведенный пример (faq.*) стал открываться нормально во
всех случаях, то поставьте fixed. я не имею возможности проверить сейчас
------- Comment #10 From 2007-05-23 17:11:03 -------
ой. не увидел httpS.
Не работает. Нужно ипсравлять.
------- Comment #11 From 2007-05-23 19:34:12 -------
В kdebase >= 3.5.7-alt1 при выборе русского полуавтомата
------- Comment #12 From 2007-06-27 22:26:58 -------
3.5.7 (desktop-beta0615) - если
автоматически - полуавтоматика, то отображается неверно
если поменять на автоматически - русский , то верно